<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Paket extends Model
{
    use HasFactory;
    protected $casts = [
        'created_at' => 'timestamp',
        'updated_at' => 'timestamp'
    ];

    public function soals()
    {
        return $this->belongsToMany(Soal::class);
    }

    public function soalTryouts()
    {
        return $this->hasMany(SoalTryout::class);
    }

    public function soalLatihans()
    {
        return $this->hasMany(Latihan::class);
    }

    public function pembahasan_tryout()
    {
        return $this->hasOne(PembahasanTryout::class);
    }
}
