<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UjianLatihan extends Model
{
    use HasFactory;

    protected $casts = [
        'start' => 'timestamp',
        'end' => 'timestamp',
        'finished'  => 'timestamp'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function soalLatihan()
    {
        return $this->belongsTo(SoalLatihan::class);
    }

    public function jawabanUjianLatihans()
    {
        return $this->hasMany(JawabanUjianLatihan::class);
    }

    public function hasil()
    {
        return $this->hasOne(HasilLatihan::class);
    }
}
