<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UjianTryout extends Model
{
    use HasFactory;

    protected $casts = [
        'start' => 'timestamp',
        'end' => 'timestamp',
        'finished'  => 'timestamp'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function soalTryout()
    {
        return $this->belongsTo(SoalTryout::class);
    }

    public function jawabanUjianTryouts()
    {
        return $this->hasMany(JawabanUjianTryout::class);
    }

    public function hasil()
    {
        return $this->hasOne(HasilTryout::class);
    }
}
