<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePembahasanTryoutsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pembahasan_tryouts', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('paket_id');
            $table->string('video_kt', 50)->nullable();
            $table->string('video_km', 50)->nullable();
            $table->string('video_ksk', 50)->nullable();
            $table->string('video_tbs', 50)->nullable();
            $table->timestamps();

            $table->index('paket_id');
            $table->foreign('paket_id')->references('id')->on('pakets');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pembahasan_tryouts');
    }
}
