<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Auth\Events\Verified;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $admin               = new User;
        $admin->nama         = strtolower("Admin Test");
        $admin->gender       = strtolower("laki-laki");
        $admin->no_wa        = "089524067884";
        $admin->alamat       = strtolower("Malang");
        $admin->role         = strtolower("admin");
        $admin->active       = 1;

        $admin->email        = "admin@bimbeldnd.com";
        $admin->password     = Hash::make('admin');
        $admin->save();

        if ($admin->markEmailAsVerified()) {
            event(new Verified($admin));
        }
    }
}
