Vue.component("modal-video", {
    props: ['judul', 'youtube_id'],
    template: `
            <div>
    <div class="modal fade show modal-active" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header py-2 px-3 align-items-center">
            <h5 class="modal-title">
              <span class="text-primary align-middle"> {{ judul }} </span>
            </h5>
            <button type="button" class="close" v-on:click="$emit('close')">
                <i class="fas fa-times-circle text-primary"></i>
            </button>
          </div>
          <div class="modal-body p-0">
            <div class="embed-responsive embed-responsive-16by9">
              <iframe
                class="embed-responsive-item"
                :src="'https://www.youtube.com/embed/' + youtube_id"
                frameborder="0"
                allow="accelerometer; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                allowfullscreen
                >></iframe
              >
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
            `
});
