<nav class="navbar navbar-top navbar-expand navbar-dark border-bottom <?php if(Request::segment(1)==null): ?>
    bg-default
<?php else: ?>
    bg-primary
<?php endif; ?>">
    <div class="container-fluid">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Search form -->
            <?php echo $__env->yieldContent('search-box'); ?>

            <!-- Navbar links -->
            <ul class="navbar-nav align-items-center ml-md-auto">
                <li class="nav-item d-xl-none">
                    <!-- Sidenav toggler -->
                    <div class="pr-3 sidenav-toggler sidenav-toggler-dark" data-action="sidenav-pin"
                        data-target="#sidenav-main">
                        <div class="sidenav-toggler-inner">
                            <i class="sidenav-toggler-line"></i>
                            <i class="sidenav-toggler-line"></i>
                            <i class="sidenav-toggler-line"></i>
                        </div>
                    </div>
                </li>
                <?php echo $__env->yieldContent('mobile-search'); ?>
                
            </ul>
            <ul class="navbar-nav align-items-center ml-auto ml-md-0">
                <li class="nav-item dropdown">
                    <a class="nav-link pr-0" href="#" role="button" data-toggle="dropdown" aria-haspopup="true"
                        aria-expanded="false">
                        <div class="media align-items-center">

                            <?php if(Auth::user()->avatar): ?>
                            <span class="avatar avatar-sm rounded-circle">
                                <img alt="Image placeholder" src="<?php echo e(Auth::user()->avatar); ?>">
                            </span>
                            <?php else: ?>
                            <span
                                class="avatar avatar-sm rounded-circle bg-default d-flex align-item-center justify-content-center">
                                <small style="font-size: 0.85rem">
                                    <?php
                                    $name=explode(' ', Auth::user()->nama);
                                    ?>

                                    <?php if(count($name)>1): ?>
                                    <?php echo e(strtoupper($name[0][0].$name[1][0])); ?>

                                    <?php else: ?>
                                    <?php echo e(strtoupper($name[0][0].$name[0][1])); ?>

                                    <?php endif; ?>
                                </small>
                            </span>
                            <?php endif; ?>

                            <div class="media-body ml-2 d-none d-lg-block">
                                <span class="mb-0 text-sm  font-weight-bold"><?php echo e(ucfirst(Auth::user()->nama)); ?></span>
                            </div>
                        </div>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right">
                        <div class="dropdown-header noti-title">
                            <h6 class="text-overflow m-0">Selamat Datang!</h6>
                        </div>
                        <a href="<?php echo e(url('/profile')); ?>" class="dropdown-item">
                            <i class="ni ni-single-02"></i>
                            <span>My profile</span>
                        </a>

                        
                        <div class="dropdown-divider"></div>
                        <form method="POST" action="<?php echo e(route('logout')); ?>">
                            <?php echo csrf_field(); ?>
                            <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                            this.closest('form').submit();" class="dropdown-item">
                                <i class="ni ni-user-run"></i>
                                <span>Logout</span>
                            </a>
                        </form>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>
<?php /**PATH D:\Project\Laravel\pppk-bimbel-dnd\resources\views/dashboard/components/topnav.blade.php ENDPATH**/ ?>