<?php $__env->startSection('title'); ?>
Dashboard - Lihat Paket Soal
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link href="https://cdn.quilljs.com/1.3.4/quill.core.css" rel="stylesheet">
<link href="https://cdn.quilljs.com/1.3.4/quill.snow.css" rel="stylesheet">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">

<style>
    .modal-dialog.scroll {
        overflow-y: initial !important
    }

    .modal-body.scroll {
        height: 70vh;
        overflow-y: auto;
    }

    img {
        max-width: 100%;
    }
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">
    <?php echo e(strtoupper(Request::segment(4))); ?>

</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="fas fa-paper-plane"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(2))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(3))); ?></li>
<li class="breadcrumb-item text-white">Viewer</li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-bar'); ?>
<div class="mt-3 d-sm-none"></div>
<div v-if="isLoaded && !isFailed" class="d-flex justify-content-end">
    <button class="m-1 btn btn-sm btn-neutral" @click="openModalEdit(currentIndex)">Edit Soal</button>
    <button class="m-1 btn btn-sm btn-neutral" @click="modal.hapus.show = true">Hapus Soal</button>
    <button class="m-1 btn btn-sm btn-neutral" @click="openModalTambah(currentIndex)">Tambah Soal</button>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div id="app">

    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded">
        <div id="navigasi-soal-fixed" class="d-sm-none">
            <div id="next-prev-fixed" class="fixed-bottom">
                <div class="card card-stats mb-0 text-center">
                    <div class="card-body py-2">
                        <div class="row">
                            <div class="col-6 col-xs-12">
                                <button type="button" class="px-1 btn btn-primary btn-md btn-icon btn-block"
                                    :disabled="currentIndex==0" v-on:click="prevQuestion">
                                    <span class="btn-inner--icon"><i class="fas fa-chevron-left"></i></span>
                                    <span class="btn-inner--text">Prev</span>
                                </button>
                            </div>
                            <div class="col-6 col-xs-12">
                                <button type="button" class="px-1 btn btn-primary btn-md  btn-icon  btn-block"
                                    :disabled="currentIndex == paket.soal.length-1" v-on:click="nextQuestion">
                                    <span class="btn-inner--text">Next</span>
                                    <span class="btn-inner--icon"><i class="fas fa-chevron-right"></i></span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div class="row">
            <div class="col-md-9">
                <div id="soal-section" class="card">
                    <div class="d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                        v-on:click="toogleSoal">
                        <h4 class="text-primary ">Kategori : {{paket.soal[currentIndex].kategori_nama}}</h4>
                        <i class="fas text-primary"
                            :class="(control.soalIsCollapsed)?'fa-minus-circle':'fa-plus-circle'"></i>
                    </div>
                    <div id="quiz-section" class="card-body collapse" :class="{'show':!control.soalIsCollapsed}">
                        <div id="pertanyaan" class="mb-4">
                            <h3>
                                <div class="d-flex flex-row">
                                    <p class="mr-2">
                                        {{ currentIndex + 1 }}.
                                    </p>

                                    <p class="text-justify" v-html="paket . soal[currentIndex] . pertanyaan">
                                    </p>
                                </div>
                            </h3>

                            <div id="pilihan">
                                <div v-for="(value, name, index) in paket.soal[currentIndex].pilihan" :key="index">
                                    <div class="my-1 p-2 d-flex flex-row align-items-center div-hover"
                                        :class="cekJawaban(currentIndex, name).row">
                                        <div class="p-2">{{name.toUpperCase()}}.</div>
                                        <div class="p-2 text-justify"
                                            v-html="paket.soal[currentIndex] . pilihan[name] . text">
                                        </div>

                                        <div class="p-2 ml-auto d-flex flex-column align-items-center">
                                            <i class="mb-2" :class="cekJawaban(currentIndex, name).icon"></i>
                                            <span class="h6 my-0">
                                                POIN:
                                            </span>
                                            <span class="h3 my-0">
                                                {{ paket.soal[currentIndex] . pilihan[name] . poin }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="pembahasan-section" class="card">
                    <div class="d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                        v-on:click="tooglePembahasan">
                        <h4 class="text-primary">
                            Pembahasan
                        </h4>
                        <i class="fas text-primary"
                            :class="(control.pembahasanIsCollapsed)?'fa-minus-circle':'fa-plus-circle'"></i>
                    </div>

                    <div class="card-body collapse" :class="{'show':!control.pembahasanIsCollapsed}">
                        <p class="mb-0" v-html="paket.soal[currentIndex] . pembahasan">
                        </p>
                    </div>


                </div>
            </div>

            <div id="right-sidebar" class="col-md-3">
                <div id="nomor-soal" class="card ">
                    <div class="card-header bg-transparent">
                        <div class="row align-items-center">
                            <div class="col">
                                <h5 class="h3 mb-0">Nomor Soal</h5>
                            </div>
                        </div>
                    </div>
                    <div class="card-body ">
                        <div class="mb-3 d-none d-sm-block">
                            <div class="row">
                                <div class="col-6 col-xs-12">
                                    <button type="button" class="px-1 btn btn-primary btn-md btn-icon btn-block"
                                        :disabled="currentIndex==0" v-on:click="prevQuestion">
                                        <span class="btn-inner--icon"><i class="fas fa-chevron-left"></i></span>
                                        <span class="btn-inner--text">Prev</span>
                                    </button>
                                </div>
                                <div class="col-6 col-xs-12">
                                    <button type="button" class="px-1 btn btn-primary btn-md  btn-icon  btn-block"
                                        :disabled="currentIndex == paket.soal.length-1" v-on:click="nextQuestion">
                                        <span class="btn-inner--text">Next</span>
                                        <span class="btn-inner--icon"><i class="fas fa-chevron-right"></i></span>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="overflow-auto">
                            <div class="d-flex flex-wrap justify-content-center" style="max-height: 11.2rem">
                                <span v-for="(item, index) in paket.soal" :key="index"
                                    style="margin-right: 0.15rem !important; margin-left: 0.15rem !important">

                                    <div class="d-sm-none">
                                        <button type="button" class="btn btn-lg  btn-icon-only mb-1"
                                            :class="(index == currentIndex)?'btn-primary':'btn-outline-primary'"
                                            v-on:click="toQuestion(index)">
                                            <span class="btn-inner--icon">{{ index+1 }}</span>
                                        </button>
                                    </div>

                                    <div class="d-none d-sm-block">
                                        <button type="button" class="btn btn-sm  btn-icon-only mb-1"
                                            :class="(index == currentIndex)?'btn-primary':'btn-outline-primary'"
                                            v-on:click="toQuestion(index)">
                                            <span class="btn-inner--icon">{{ index+1 }}</span>
                                        </button>
                                    </div>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        <div v-if="modal.tambah.show" class="d-none" :class="{'d-block':modal.tambah.show}">
            <div class="modal fade show modal-active" tabindex="-1" role="dialog">
                <div class="modal-dialog scroll modal-lg modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <form @submit.prevent="submitHandle(currentIndex, modal.isEditing, modal.data)">
                            <div v-if="!modal.tambah.isSubmitting" class="modal-header py-2 px-3 align-items-center">
                                <h5 class="modal-title">
                                    <span class="text-primary align-middle">
                                        {{ modal.isEditing?'Edit Soal':'Tambah Soal'}}
                                    </span>
                                </h5>
                                <button type="button" class="close" @click="closeModalTambah">
                                    <i class="fas fa-times-circle text-primary"></i>
                                </button>
                            </div>
                            <div class="modal-body scroll px-3 pt-3 pb-0">
                                <div v-if="modal.tambah.isSubmitting">
                                    <div class="spinner">
                                        <div class="rect1 bg-primary"></div>
                                        <div class="rect2 bg-primary"></div>
                                        <div class="rect3 bg-primary"></div>
                                        <div class="rect4 bg-primary"></div>
                                        <div class="rect5 bg-primary"></div>
                                    </div>
                                    <h3 class="mt-4 mb-5 text-primary text-center">
                                        Sedang menyimpan data..
                                    </h3>
                                </div>

                                <div v-if="!modal.tambah.isSubmitting">
                                    <div class="card">
                                        <div class="py-2 px-4 d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                                            @click="toogleCollapseModal('pertanyaan')">
                                            <h4 class="text-primary">
                                                Pertanyaan
                                            </h4>
                                            <i class="fas text-primary"
                                                :class="(modal.collapse.pertanyaan)?'fa-minus-circle':'fa-plus-circle'"></i>
                                        </div>

                                        <div class="card-body collapse m-0 p-0" style="height: 15rem"
                                            :class="{'show':!modal.collapse.pertanyaan}">
                                            <quill-editor style="height: 10rem" ref="quill-pertanyaan" class="editor"
                                                v-model.trim="modal.data.pertanyaan" :options="editorOption"
                                                @blur="onEditorBlur($event)" @focus="onEditorFocus($event)"
                                                @ready="onEditorReady($event)" />
                                        </div>

                                    </div>

                                    <div class="card">
                                        <div class="py-2 px-4 d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                                            v-on:click="toogleCollapseModal('pilihan')">
                                            <h4 class="text-primary">
                                                Pilihan dan Jawaban
                                            </h4>
                                            <i class="fas text-primary"
                                                :class="(modal.collapse.pilihan)?'fa-minus-circle':'fa-plus-circle'"></i>
                                        </div>

                                        <div class="card-body collapse py-3" :class="{'show':!modal.collapse.pilihan}">

                                            <div v-for="(val, name, index) in modal.data.pilihan" :key="index"
                                                class="py-2">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">
                                                            {{ name.toUpperCase() }}
                                                        </span>
                                                    </div>
                                                    <textarea v-model.trim="modal.data.pilihan[name]"
                                                        class="form-control" aria-label="With textarea"></textarea>
                                                </div>
                                            </div>

                                            <div class="form-group pt-4 mb-0">
                                                <div class="row">
                                                    <div class="col">
                                                        <label for="jawaban">
                                                            Jawaban
                                                        </label>
                                                        <input type="text" maxlength="5" class="form-control"
                                                            id="jawaban" placeholder="Masukkan jawaban"
                                                            v-model="modal.data.jawaban">
                                                    </div>
                                                    <div class="col">
                                                        <label for="kategori">
                                                            Kategori Soal
                                                        </label>
                                                        <select v-model="modal.data.kategori" class="form-control"
                                                            id="kategori">
                                                            <option value='' selected disabled>Pilih salah satu</option>
                                                            <option v-for="(item, index) in kategori" :value="item.id">
                                                                {{item.nama}}</option>

                                                        </select>
                                                    </div>
                                                </div>
                                                <small class="form-text text-muted">
                                                    <b>(TKP)</b> Masukkan jawaban sesuai poin <b>(54321)</b>. Contoh:
                                                    <b>BCADE</b> berarti B:
                                                    5 poin, C: 4 poin, dst.
                                                    <br>
                                                    <b>(selain TKP)</b> Masukkan jawaban yang benar. Contoh jika jawaban
                                                    A
                                                    benar maka masukkan A.
                                                </small>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card">
                                        <div class="py-2 px-4 d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                                            v-on:click="toogleCollapseModal('pembahasan')">
                                            <h4 class="text-primary">
                                                Pembahasan
                                            </h4>
                                            <i class="fas text-primary"
                                                :class="(modal.collapse.pembahasan)?'fa-minus-circle':'fa-plus-circle'"></i>
                                        </div>

                                        <div class="card-body collapse m-0 p-0" style="height: 15rem"
                                            :class="{'show':!modal.collapse.pembahasan}">
                                            <quill-editor style="height: 10rem" ref="quill-pembahasan" class="editor"
                                                v-model.trim="modal.data.pembahasan" :options="editorOption"
                                                @blur="onEditorBlur($event)" @focus="onEditorFocus($event)"
                                                @ready="onEditorReady($event)" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div v-if="!modal.tambah.isSubmitting" class="modal-footer p-3">
                                <button v-if="modal.isEditing" type="button" class="btn btn-secondary"
                                    data-dismiss="modal" @click="closeModalTambah">Batal</button>
                                <button v-if="!modal.isEditing" type="button" class="btn btn-secondary"
                                    data-dismiss="modal" @click="resetModalTambah">Reset</button>
                                <button type="submit" class="btn btn-primary">
                                    {{modal.isEditing?'Update':'Tambah'}}
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <confirm-delete v-if="modal.hapus.show" :show-modal="modal.hapus.show" :is-deleting="modal.hapus.isDeleting"
            @onclose="modal.hapus.show=false" @onconfirm="hapusSoal(currentIndex)">
        </confirm-delete>

    </div>
</div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<script src="https://cdn.quilljs.com/1.3.4/quill.js"></script>
<!-- Quill JS Vue -->
<script src="https://cdn.jsdelivr.net/npm/vue-quill-editor@3.0.6/dist/vue-quill-editor.js"></script>

<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue/confirm-delete.js')); ?>"></script>



<script type="text/javascript">
    Vue.use(window.VueQuillEditor)
    var Image = Quill.import('formats/image');
    Image.className = 'img-fluid';
    Quill.register(Image, true);

    var Block = Quill.import('blots/block');
    Block.tagName = 'DIV';
    Quill.register(Block, true);
</script>

<script>
    Vue.use(VueToast);

    let base_url = "<?php echo e(url('/api/paket')); ?>/<?php echo e(strtolower(Request::segment(4))); ?>"
    var app = new Vue({
        el: '#panel',
        data: {
            editorOption: {
                theme: 'snow'
            },
            control: {
                pembahasanIsCollapsed: false,
                soalIsCollapsed: false
            },
            modal: {
                hapus: {
                    show: false,
                    isDeleting: false
                },
                isEditing: false,
                tambah: {
                    show: false,
                    isSubmitting: false
                },
                data: {
                    pertanyaan: '',
                    pilihan: {
                        a: '',
                        b: '',
                        c: '',
                        d: '',
                        e: ''
                    },
                    kategori: '',
                    jawaban: '',
                    pembahasan: ''
                },

                collapse: {
                    pertanyaan: false,
                    pembahasan: false,
                    pilihan: false,
                }
            },
            currentIndex: 0,
            isFailed: false,
            isLoaded: false,
            kategori:[],
            paket: {}
        },
        methods: {
            showToast(msg, type) {
                Vue.$toast.open({
                    message: msg,
                    type: type
                });
            },
            nextQuestion: function() {
                if (this.currentIndex + 1 < this.paket.soal.length) {
                    this.currentIndex++
                }
            },
            prevQuestion: function() {
                if (this.currentIndex > 0) {
                    this.currentIndex--
                }
            },
            toQuestion: function(index) {
                this.currentIndex = index
                // console.log(index)
            },
            openNOodalEdit(index) {
                let modal = this.modal.data
                let soal = this.paket.soal[index]

                modal.pertanyaan = soal.pertanyaan
                modal.pembahasan = soal.pembahasan
                modal.pilihan = soal.pilihan

                this.modal.isEditing = true
                this.modal.tambah.show = true
            },
            openModalTambah() {
                this.loadKategori()
                this.modal.tambah.show = true
            },
            openModalEdit(index) {
                this.loadKategori()
                let modal = this.modal.data
                let soal = this.paket.soal[index]
                let pil = this.paket.soal[index].pilihan

                modal.id = soal.id
                modal.pertanyaan = soal.pertanyaan
                modal.jawaban = soal.jawaban
                modal.pembahasan = soal.pembahasan
                modal.kategori = soal.kategori
                modal.pilihan = {
                    a: pil.a.text,
                    b: pil.b.text,
                    c: pil.c.text,
                    d: pil.d.text,
                    e: pil.e.text
                }

                this.modal.tambah.show = true
                this.modal.isEditing = true
            },
            resetModalTambah() {
                let modal = this.modal.data

                modal.pertanyaan = ''
                modal.pembahasan = ''
                modal.jawaban = ''
                modal.pilihan = {
                    a: '',
                    b: '',
                    c: '',
                    d: '',
                    e: ''
                }
                this.modal.isSubmitting = false
                this.modal.isEditing = false
            },
            closeModalTambah() {
                this.resetModalTambah()
                this.modal.tambah.show = false

            },
            submitHandle(index, isEditing, data) {
                if (isEditing) {
                    this.submitUpdateSoal(index, data)
                } else {
                    this.submitTambahSoal(data)
                }
            },
            async hapusSoal(index) {
                let id = this.paket.soal[index].id

                await axios
                    .delete(base_url + "/soal", {
                        data: {
                            id: id
                        }
                    })
                    .then(
                        (response) => {
                            this.paket.soal.splice(index, 1)

                            if (this.currentIndex > this.paket.soal.length - 1) {
                                this.currentIndex -= 1
                            }

                            this.modal.hapus.show = false
                            this.showToast("Berhasil menghapus soal", "info")
                        }, (error) => {
                            this.modal.hapus.show = false
                            this.showToast("Gagal menghapus soal", "error")
                        }
                    )
            },
            async submitTambahSoal(data) {
                this.modal.isSubmitting = true
                await axios
                    .post(base_url + "/soal", {
                        pertanyaan: data.pertanyaan,
                        pil_a: data.pilihan.a,
                        pil_b: data.pilihan.b,
                        pil_c: data.pilihan.c,
                        pil_d: data.pilihan.d,
                        pil_e: data.pilihan.e,
                        pembahasan: data.pembahasan,
                        jawaban: data.jawaban,
                        kategori: data.kategori
                    })
                    .then(
                        (response) => {
                            this.paket.soal.push(response.data.data)
                            this.paket.jumlah_soal = this.paket.soal.length
                            this.resetModalTambah()
                            this.modal.isSubmitting = false

                            this.showToast("Berhasil menambah soal", "info");
                        }, (error) => {
                            this.showToast("Gagal menambah soal", "error");

                        }
                    )
            },
            async submitUpdateSoal(index, data) {
                this.modal.isSubmitting = true
                console.log(data)
                await axios
                    .put(base_url + "/soal", {
                        id: data.id,
                        pertanyaan: data.pertanyaan,
                        pil_a: data.pilihan.a,
                        pil_b: data.pilihan.b,
                        pil_c: data.pilihan.c,
                        pil_d: data.pilihan.d,
                        pil_e: data.pilihan.e,
                        pembahasan: data.pembahasan,
                        jawaban: data.jawaban,
                        kategori: data.kategori
                    })
                    .then(
                        (response) => {
                            Vue.set(this.paket.soal, index, response.data.data)

                            this.resetModalTambah()
                            this.modal.isSubmitting = false
                            this.modal.tambah.show = false

                            this.showToast("Berhasil update soal", "info");
                        }, (error) => {
                            this.showToast("Gagal update soal", "error");

                        }
                    )
            },

            async loadKategori() {
                await axios
                    .get("<?php echo e(url('/api/kategori')); ?>")
                    .then((response) => {
                        this.kategori = response.data.data


                    }, (error) => {
                    })
            },   async initialLoad() {
                await axios
                    .get(base_url + "/soal")
                    .then((response) => {
                        this.paket = response.data.data.paket
                        this.paket.soal = response.data.data.soal
                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            },
            tooglePembahasan: function() {
                this.control.pembahasanIsCollapsed = !this.control.pembahasanIsCollapsed
            },
            toogleSoal: function() {
                this.control.soalIsCollapsed = !this.control.soalIsCollapsed
            },
            toogleCollapseModal(name) {
                this.modal.collapse[name] = !this.modal.collapse[name]
            },
            cekJawaban: function(index, pilihan) {
                const isCorrect = this.paket.soal[index].pilihan[pilihan.toLowerCase()].poin === 5

                return {
                    row: {
                        'table-primary': isCorrect
                    },
                    icon: {
                        'fas fa-check text-primary': isCorrect
                    }
                }
            },
            onEditorBlur(quill) {

            },
            onEditorFocus(quill) {

            },
            onEditorReady(quill) {

            },
            onEditorChange({
                quill,
                html,
                text
            }) {
                // console.log('editor change!', quill, html, text)
                this.content = html
            }
        },
        computed: {
            editor() {
                return this.$refs.quill - pertanyaan.quill
            }
        },


        created: function() {
            this.initialLoad()

        }
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Project\Laravel\pppk-bimbel-dnd\resources\views/dashboard/paket/viewer.blade.php ENDPATH**/ ?>