<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class AlamatController extends Controller
{
    public function getProvinsi()
    {
        return response([
            "message"   => "List Provinsi",
            "data"      => \Indonesia::allProvinces()
        ]);
    }

    public function getKota($id_provinsi)
    {
        return response([
            "message"   => "List Kota By Provinsi",
            "data"      => \Indonesia::findProvince($id_provinsi, ['cities'])
        ]);
    }
}
