<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class JawabanUjianTryout extends Model
{
    use HasFactory;

    protected $casts = [
        'start' => 'datetime',
        'end' => 'datetime',
        'ragu'            => 'boolean'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function ujianTryout()
    {
        return $this->belongsTo(UjianTryout::class);
    }

    public function soal()
    {
        return $this->belongsTo(Soal::class);
    }
}
