<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Kelas extends Model
{
    use HasFactory;

    public function users()
    {
        return $this->belongsToMany(User::class);
    }

    public function materis()
    {
        return $this->belongsToMany(Materi::class);
    }

    public function soalTryouts()
    {
        return $this->hasMany(SoalTryout::class);
    }

    public function soalLatihans()
    {
        return $this->hasMany(SoalLatihan::class);
    }
}
