<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Soal extends Model
{
    use HasFactory;

    protected $casts = [
        'created_at' => 'timestamp',
        'updated_at' => 'timestamp'
    ];

    public function kategoriSoal()
    {
        return $this->belongsTo(KategoriSoal::class);
    }

    public function pakets()
    {
        return $this->belongsToMany(Paket::class);
    }

    // public function jawabanUjianTryouts()
    // {
    //     return $this->hasMany(JawabanUjianTryout::class);
    // }

    public function jawabanUjianLatihans()
    {
        return $this->hasMany(JawabanUjianLatihan::class);
    }
}
