<?php

namespace App\Providers;

use App\Models\KategoriSoal;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        try {

            $kategori_paket_latihans = KategoriSoal::orderBy('nama', 'asc')->get();

            View::share(
                [
                    'kategori_paket_latihans' => $kategori_paket_latihans,

                ]
            );
        } catch (QueryException $th) {
            // dd($th);
        }
    }
}
