@extends('layouts.app')

@section('page-title')
Bimbel DnD - Verifikasi Email
@endsection

@section('content')
<div class="main-content">
    <!-- Header -->
    <div class="header bg-gradient-primary py-5 py-lg-6 pt-lg-9">
        <div class="container">
            <div class="header-body text-center mb-6">
                <div class="row justify-content-center">
                    <div class="col-xl-5 col-lg-6 col-md-8 px-5">
                        <h1 class="text-white">Terima kasih sudah mendaftar di Bimbel DnD</h1>
                        {{-- <p class="text-lead text-white">Wujudkan mimpimu lulus seleksi PPPK.</p> --}}
                    </div>
                </div>
            </div>
        </div>
        <div class="separator separator-bottom separator-skew zindex-100">
            <svg x="0" y="0" viewBox="0 0 2560 100" preserveAspectRatio="none" version="1.1"
                xmlns="http://www.w3.org/2000/svg">
                <polygon class="fill-default" points="2560 0 2560 100 0 100"></polygon>
            </svg>
        </div>
    </div>
    <!-- Page content -->
    <div class="container mt--8 pb-5">

        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-7">
                <div>
                    @if (session('status') == 'verification-link-sent')
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        <span class="alert-icon">
                            <i class="fas fa-info-circle"></i>
                        </span>
                        <span class="alert-text">
                            Email verifikasi sudah dikirim ulang. Silahkan cek email Anda.
                        </span>
                    </div>
                    @endif
                </div>
                <div class="card bg-secondary border-0 mb-0">

                    <div class="card-body ">

                        Sebelum dapat mengunakan akun Anda silahkan klik link verifikasi yang sudah dikirimkan ke email Anda. Jika tidak ada email verifikasi masuk
                        silahkan tunggu 5 menit atau klik tombol "Kirim ulang
                        verifikasi"

                        <div class="row mt-4">
                            <div class="col-md-8 col-sm-12 text-left mt-2">
                                <form method="POST" action="{{ route('verification.send') }}">
                                    @csrf

                                    <button type="submit" class="btn btn-primary">
                                        Kirim ulang
                                        verifikasi
                                    </button>
                                </form>
                            </div>
                            <div class="col-md-4 col-sm-12 text-md-right mt-2">
                                <form method="POST" action="{{ route('logout') }}">
                                    @csrf
                                    <button type="submit" class="btn btn-secondary">
                                        Log out
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
@endsection
