<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Wujudkan mimpimu lolos seleksi PPPK bersama Bimbel Dosendeso">
    <meta name="author" content="Creative Tim">

    <title>@yield('title')</title>
    @include('dashboard.components.css-include')
    @yield('style')

    <style>
        .main-content {
            min-height: 100vh;
        }

        .footer {
            position: absolute;
            width: 95%;
            bottom: 10px;
            height: 0;
        }
    </style>
</head>

<body>
    <!-- Sidenav -->
    @include('dashboard.components.sidebar')
    <!-- Main content -->
    <div class="main-content" id="panel">

        <!-- Topnav -->
        @include('dashboard.components.topnav')
        <!-- Header -->
        <!-- Header -->
        @yield('header')

        @if (Request::segment(1) == null)
        @include('dashboard.components.header-dashboard')
        @else
        @include('dashboard.components.header')
        @endif
        <!-- Page content -->
        <div class="container-fluid mt--6">
            <div class="pb-6">
                @yield('content')
            </div>
            @include('dashboard.components.footer')
        </div>

    </div>

    @include('dashboard.components.js-include')
    <!-- Argon Scripts -->
    <!-- Core -->


    <!-- Optional JS -->
    {{-- <script src="../../assets/vendor/datatables.net/js/jquery.dataTables.min.js">
    </script>
    <script src="../../assets/vendor/datatables.net-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="../../assets/vendor/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="../../assets/vendor/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js"></script>
    <script src="../../assets/vendor/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="../../assets/vendor/datatables.net-buttons/js/buttons.flash.min.js"></script>
    <script src="../../assets/vendor/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="../../assets/vendor/datatables.net-select/js/dataTables.select.min.js"></script> --}}


    <!-- Argon JS -->

    <!-- Demo JS - remove this in your project -->
    {{-- <script src="../../assets/js/demo.min.js"></script> --}}


    @yield('script')

    <script>
        $(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
    </script>

</body>

</html>
