
<!-- Sidenav -->
<nav class="sidenav navbar navbar-vertical fixed-left navbar-expand-xs navbar-light bg-white" id="sidenav-main">
    <div class="scrollbar-inner">
        <!-- Brand -->
        <div class="sidenav-header d-flex align-items-center">
            {{-- <a class="navbar-brand text-center" href="{{url('/')}}">
            <img src="https://bimbeldnd.com/application/assets/img/logo/logosn.png" class="navbar-brand-img" alt="...">
            </a> --}}

            {{-- <a class="mx-auto text-center" href="{{url('/')}}">
            <img src="https://bimbeldnd.com/application/assets/img/logo/logosn.png" class="" alt="...">
            </a> --}}
            <a class="navbar-brand" href="{{ url('/') }}">
                <img src="{{ asset('assets/img/logo-sidebar.png') }}" class="navbar-brand-img">
            </a>
            <div class="ml-auto">
                <!-- Sidenav toggler -->
                <div class="sidenav-toggler d-none d-xl-block" data-action="sidenav-unpin" data-target="#sidenav-main">
                    <div class="sidenav-toggler-inner">
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                    </div>
                </div>
            </div>
        </div>
        <div class="navbar-inner">
            <!-- Collapse -->
            <div class="collapse navbar-collapse" id="sidenav-collapse-main">
                <!-- Nav items -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link @if (Request::segment(1)==null) active @endif " href=" {{ url('/') }}">
                            <i class="fas fa-tachometer-alt text-primary"></i>
                            <span class="nav-link-text">Dashboards</span>
                        </a>
                    </li>
                </ul>

                @if (Auth::user()->role == 'admin')
                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Master</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='kelas' ) active @endif"
                            href="{{ url('/master/kelas') }}">
                            <i class="fas fa-users text-info"></i>
                            <span class="nav-link-text">Manajemen Kelas</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='akun' ) active @endif"
                            href="{{ url('/master/akun') }}">
                            <i class="fas fa-user-lock text-info"></i>
                            <span class="nav-link-text">Manajemen User</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='paket' ) active @endif"
                            href="#navbar-paket-soal" data-toggle="collapse" role="button" aria-expanded="false"
                            aria-controls="navbar-paket-soal">
                            <i class="fas fa-paper-plane text-info"></i>
                            <span class="nav-link-text">Paket Soal</span>
                        </a>
                        <div class="collapse @if (strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='paket' ) show @endif" id="navbar-paket-soal">
                            <ul class="nav nav-sm flex-column">
                                <li class="nav-item">
                                    <a href="{{ url('/master/paket/latihan') }}" class="nav-link @if (strtolower(Request::segment(1))=='master' &&
                                               strtolower(Request::segment(2))=='paket' &&
                                               strtolower(Request::segment(3))=='latihan' ) active @endif">Soal
                                        Latihan</a>
                                </li>

                                <li class="nav-item">
                                    <a href="{{ url('/master/paket/tryout') }}" class="nav-link @if (strtolower(Request::segment(1))=='master' &&
                                               strtolower(Request::segment(2))=='paket' &&
                                               strtolower(Request::segment(3))=='tryout' ) active @endif">Try Out</a>
                                </li>
                            </ul>
                        </div>
                    </li>
                </ul>
                @endif


                @if (!$trial)

                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Materi</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))=='materi' &&
                        strtolower(Request::segment(2))=='video' ) active @endif" href="{{url('/materi/video')}}">
                            <i class="fas fa-play text-orange"></i>
                            <span class="nav-link-text">Materi Video</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))=='materi' &&
                        strtolower(Request::segment(2))=='zoom' ) active @endif" href="{{url('/materi/zoom')}}">
                            <i class="fas fa-play text-orange"></i>
                            <span class="nav-link-text">Sesi Zoom</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))=='materi' &&
                        strtolower(Request::segment(2))=='text' ) active @endif" href="{{url('/materi/text')}}">
                            <i class="fas fa-book text-orange"></i>
                            <span class="nav-link-text">Materi Text</span>
                        </a>
                    </li>
                </ul>

                @endif

                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Soal</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='tryout' && !Request::segment(3))
                        active
                        @endif" href="{{url('/soal/tryout')}}">
                            <i class="ni ni-ungroup text-blue"></i>
                            <span class="nav-link-text">Try Out</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link  @if (strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='latihan' && !Request::segment(4))
                        active
                        @endif" href="#navbar-soal-harian" data-toggle="collapse" role="button" aria-expanded="false"
                            aria-controls="navbar-soal-harian">
                            <i class="ni ni-ungroup text-orange"></i>
                            <span class="nav-link-text">Soal Latihan</span>
                        </a>
                        <div class="collapse  @if (strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='latihan' && !Request::segment(4))
                        show
                        @endif" id="navbar-soal-harian">
                            <ul class="nav nav-sm flex-column">
                                @foreach ($kategori_paket_latihans as $kategori)
                                <li class="nav-item">
                                    <a href="{{ url('/soal/latihan/'.$kategori->id) }}" class="nav-link
                                    @if (strtolower(Request::segment(1))=='soal' &&
                                               strtolower(Request::segment(2))=='latihan' &&
                                               Request::segment(3)== $kategori->id &&
                                               !Request::segment(4)) active @endif">
                                        {{$kategori->nama}}
                                    </a>
                                </li>

                                @endforeach

                            </ul>
                        </div>
                    </li>

                    @if (!$trial)
                    <li class="nav-item">
                        <a class="nav-link  @if ((strtolower(Request::segment(1))==='soal' && Request::segment(2) && Request::segment(3) && strtolower(Request::segment(4)) === 'bonus') || (strtolower(Request::segment(2)) === 'tryout' && strtolower(Request::segment(3)) === 'bonus'))
                        active
                        @endif" href="#navbar-bonus-latihan" data-toggle="collapse" role="button" aria-expanded="false"
                            aria-controls="navbar-bonus-latihan">
                            <i class="ni ni-ungroup text-red"></i>
                            <span class="nav-link-text">Bonus Latihan</span>
                        </a>
                        <div class="collapse   @if ((strtolower(Request::segment(1))==='soal' && Request::segment(2) && Request::segment(3) && strtolower(Request::segment(4)) === 'bonus') || (strtolower(Request::segment(2)) === 'tryout' && strtolower(Request::segment(3)) === 'bonus'))
                        show
                        @endif" id="navbar-bonus-latihan">
                            <ul class="nav nav-sm flex-column">
                                <li class="nav-item">
                                    <a href="{{url('/soal/tryout/bonus')}}" class="nav-link  @if (strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='tryout' && strtolower(Request::segment(3)) === 'bonus')
                                    active
                                    @endif">Try Out</a>
                                </li>
                                @foreach ($kategori_paket_latihans as $kategori)
                                <li class="nav-item">
                                    <a href="{{ url('/soal/latihan/'.$kategori->id.'/bonus') }}" class="nav-link
                                    @if (strtolower(Request::segment(1))=='soal' &&
                                               strtolower(Request::segment(2))=='latihan' &&
                                               Request::segment(3)== $kategori->id &&
                                               strtolower(Request::segment(4))=='bonus') active @endif">
                                        {{$kategori->nama}}
                                    </a>
                                </li>

                                @endforeach

                            </ul>
                        </div>
                    </li>
                    @endif
                </ul>

                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Pengguna</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link @if (strtolower(Request::segment(1))==='profile')
                            active
                        @endif" href="{{url('/profile')}}">
                            <i class="ni ni-single-02 text-red"></i>
                            <span class="nav-link-text">Profile</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <form method="POST" action="{{ route('logout') }}">
                            @csrf

                            <a class="nav-link" href="{{route('logout')}}" onclick="event.preventDefault();
                                                this.closest('form').submit();">
                                <i class="ni ni-user-run text-red"></i>
                                <span class="nav-link-text">logout</span>
                            </a>


                        </form>


                    </li>

                </ul>

                {{-- <hr class="my-3">
                <h6 class="navbar-heading p-0 text-muted">Bantuan</h6>
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="../../pages/widgets.html">
                            <i class="ni ni-collection text-Info"></i>
                            <span class="nav-link-text">Panduan</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="../../pages/widgets.html">
                            <i class="fas fa-question-circle text-Info"></i>
                            <span class="nav-link-text">FAQ</span>
                        </a>
                    </li>

                </ul> --}}
            </div>
        </div>
    </div>
</nav>
