
<!-- Sidenav -->
<nav class="sidenav navbar navbar-vertical fixed-left navbar-expand-xs navbar-light bg-white" id="sidenav-main">
    <div class="scrollbar-inner">
        <!-- Brand -->
        <div class="sidenav-header d-flex align-items-center">
            

            
            <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                <img src="<?php echo e(asset('assets/img/logo-sidebar.png')); ?>" class="navbar-brand-img">
            </a>
            <div class="ml-auto">
                <!-- Sidenav toggler -->
                <div class="sidenav-toggler d-none d-xl-block" data-action="sidenav-unpin" data-target="#sidenav-main">
                    <div class="sidenav-toggler-inner">
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                    </div>
                </div>
            </div>
        </div>
        <div class="navbar-inner">
            <!-- Collapse -->
            <div class="collapse navbar-collapse" id="sidenav-collapse-main">
                <!-- Nav items -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link <?php if(Request::segment(1)==null): ?> active <?php endif; ?> " href=" <?php echo e(url('/')); ?>">
                            <i class="fas fa-tachometer-alt text-primary"></i>
                            <span class="nav-link-text">Dashboards</span>
                        </a>
                    </li>
                </ul>

                <?php if(Auth::user()->role == 'admin'): ?>
                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Master</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='kelas' ): ?> active <?php endif; ?>"
                            href="<?php echo e(url('/master/kelas')); ?>">
                            <i class="fas fa-users text-info"></i>
                            <span class="nav-link-text">Manajemen Kelas</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='akun' ): ?> active <?php endif; ?>"
                            href="<?php echo e(url('/master/akun')); ?>">
                            <i class="fas fa-user-lock text-info"></i>
                            <span class="nav-link-text">Manajemen User</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='paket' ): ?> active <?php endif; ?>"
                            href="#navbar-paket-soal" data-toggle="collapse" role="button" aria-expanded="false"
                            aria-controls="navbar-paket-soal">
                            <i class="fas fa-paper-plane text-info"></i>
                            <span class="nav-link-text">Paket Soal</span>
                        </a>
                        <div class="collapse <?php if(strtolower(Request::segment(1))=='master'
                                   && strtolower(Request::segment(2))=='paket' ): ?> show <?php endif; ?>" id="navbar-paket-soal">
                            <ul class="nav nav-sm flex-column">
                                <li class="nav-item">
                                    <a href="<?php echo e(url('/master/paket/latihan')); ?>" class="nav-link <?php if(strtolower(Request::segment(1))=='master' &&
                                               strtolower(Request::segment(2))=='paket' &&
                                               strtolower(Request::segment(3))=='latihan' ): ?> active <?php endif; ?>">Soal
                                        Latihan</a>
                                </li>

                                <li class="nav-item">
                                    <a href="<?php echo e(url('/master/paket/tryout')); ?>" class="nav-link <?php if(strtolower(Request::segment(1))=='master' &&
                                               strtolower(Request::segment(2))=='paket' &&
                                               strtolower(Request::segment(3))=='tryout' ): ?> active <?php endif; ?>">Try Out</a>
                                </li>
                            </ul>
                        </div>
                    </li>
                </ul>
                <?php endif; ?>


                <?php if(!$trial): ?>

                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Materi</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))=='materi' &&
                        strtolower(Request::segment(2))=='video' ): ?> active <?php endif; ?>" href="<?php echo e(url('/materi/video')); ?>">
                            <i class="fas fa-play text-orange"></i>
                            <span class="nav-link-text">Materi Video</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))=='materi' &&
                        strtolower(Request::segment(2))=='zoom' ): ?> active <?php endif; ?>" href="<?php echo e(url('/materi/zoom')); ?>">
                            <i class="fas fa-play text-orange"></i>
                            <span class="nav-link-text">Sesi Zoom</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))=='materi' &&
                        strtolower(Request::segment(2))=='text' ): ?> active <?php endif; ?>" href="<?php echo e(url('/materi/text')); ?>">
                            <i class="fas fa-book text-orange"></i>
                            <span class="nav-link-text">Materi Text</span>
                        </a>
                    </li>
                </ul>

                <?php endif; ?>

                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Soal</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='tryout' && !Request::segment(3)): ?>
                        active
                        <?php endif; ?>" href="<?php echo e(url('/soal/tryout')); ?>">
                            <i class="ni ni-ungroup text-blue"></i>
                            <span class="nav-link-text">Try Out</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link  <?php if(strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='latihan' && !Request::segment(4)): ?>
                        active
                        <?php endif; ?>" href="#navbar-soal-harian" data-toggle="collapse" role="button" aria-expanded="false"
                            aria-controls="navbar-soal-harian">
                            <i class="ni ni-ungroup text-orange"></i>
                            <span class="nav-link-text">Soal Latihan</span>
                        </a>
                        <div class="collapse  <?php if(strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='latihan' && !Request::segment(4)): ?>
                        show
                        <?php endif; ?>" id="navbar-soal-harian">
                            <ul class="nav nav-sm flex-column">
                                <?php $__currentLoopData = $kategori_paket_latihans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $kategori): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="nav-item">
                                    <a href="<?php echo e(url('/soal/latihan/'.$kategori->id)); ?>" class="nav-link
                                    <?php if(strtolower(Request::segment(1))=='soal' &&
                                               strtolower(Request::segment(2))=='latihan' &&
                                               Request::segment(3)== $kategori->id &&
                                               !Request::segment(4)): ?> active <?php endif; ?>">
                                        <?php echo e($kategori->nama); ?>

                                    </a>
                                </li>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </ul>
                        </div>
                    </li>

                    <?php if(!$trial): ?>
                    <li class="nav-item">
                        <a class="nav-link  <?php if((strtolower(Request::segment(1))==='soal' && Request::segment(2) && Request::segment(3) && strtolower(Request::segment(4)) === 'bonus') || (strtolower(Request::segment(2)) === 'tryout' && strtolower(Request::segment(3)) === 'bonus')): ?>
                        active
                        <?php endif; ?>" href="#navbar-bonus-latihan" data-toggle="collapse" role="button" aria-expanded="false"
                            aria-controls="navbar-bonus-latihan">
                            <i class="ni ni-ungroup text-red"></i>
                            <span class="nav-link-text">Bonus Latihan</span>
                        </a>
                        <div class="collapse   <?php if((strtolower(Request::segment(1))==='soal' && Request::segment(2) && Request::segment(3) && strtolower(Request::segment(4)) === 'bonus') || (strtolower(Request::segment(2)) === 'tryout' && strtolower(Request::segment(3)) === 'bonus')): ?>
                        show
                        <?php endif; ?>" id="navbar-bonus-latihan">
                            <ul class="nav nav-sm flex-column">
                                <li class="nav-item">
                                    <a href="<?php echo e(url('/soal/tryout/bonus')); ?>" class="nav-link  <?php if(strtolower(Request::segment(1))==='soal' && strtolower(Request::segment(2))==='tryout' && strtolower(Request::segment(3)) === 'bonus'): ?>
                                    active
                                    <?php endif; ?>">Try Out</a>
                                </li>
                                <?php $__currentLoopData = $kategori_paket_latihans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $kategori): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="nav-item">
                                    <a href="<?php echo e(url('/soal/latihan/'.$kategori->id.'/bonus')); ?>" class="nav-link
                                    <?php if(strtolower(Request::segment(1))=='soal' &&
                                               strtolower(Request::segment(2))=='latihan' &&
                                               Request::segment(3)== $kategori->id &&
                                               strtolower(Request::segment(4))=='bonus'): ?> active <?php endif; ?>">
                                        <?php echo e($kategori->nama); ?>

                                    </a>
                                </li>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </ul>
                        </div>
                    </li>
                    <?php endif; ?>
                </ul>

                <!-- Divider -->
                <hr class="my-3">
                <!-- Heading -->
                <h6 class="navbar-heading p-0 text-muted">Pengguna</h6>
                <!-- Navigation -->
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link <?php if(strtolower(Request::segment(1))==='profile'): ?>
                            active
                        <?php endif; ?>" href="<?php echo e(url('/profile')); ?>">
                            <i class="ni ni-single-02 text-red"></i>
                            <span class="nav-link-text">Profile</span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <form method="POST" action="<?php echo e(route('logout')); ?>">
                            <?php echo csrf_field(); ?>

                            <a class="nav-link" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                                                this.closest('form').submit();">
                                <i class="ni ni-user-run text-red"></i>
                                <span class="nav-link-text">logout</span>
                            </a>


                        </form>


                    </li>

                </ul>

                
            </div>
        </div>
    </div>
</nav>
<?php /**PATH D:\Project\Laravel\pppk-bimbel-dnd\resources\views/dashboard/components/sidebar.blade.php ENDPATH**/ ?>